@use 'variables' as variables;
@use 'mixins' as mixins;

@mixin flex-parent {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: stretch;
    margin: 0 -15px;
}

@mixin flex-item {
    flex: 1 0 30%;
    padding: 15px;
    box-sizing: border-box;
}

@mixin header-grid {
    @include mixins.custom-grid(
        $rows: 1fr,
        $columns: 1fr 1fr 1fr 1fr 1fr,
        $grid-gap: 1rem,
        $width: 100%,
        $margin: 0 auto,
        $padding-top: 9rem
    );
}

@mixin card {
    @include mixins.card(
        $background-color: black,
        $color: white,
        $padding: auto
    );

    h2, p {
        word-wrap: break-word;
        overflow-wrap: break-word;
        padding: 0.5rem;
    }

}

@mixin container {
    max-width: 100%;
    margin: 0 auto;
    padding: 0 15px;
    padding-top: 1rem;
    display: grid;
}

@mixin select-box {
    @include mixins.select-box;
}